%global _realname ublock_origin
%global _extid uBlock0@raymondhill.net
%global _extensionsdir %{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}

Summary: An efficient wide-spectrum content blocker extension for Firefox
Name: firefox-extension-%{_realname}
Version: 1.60.0
Release: 1%{?dist}
License: GPL-3.0-only
Group: Applications/Internet
URL: https://addons.mozilla.org/firefox/addon/ublock-origin/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
# Find the real .xpi download link in the URL source code
Source0: %{_realname}-%{version}.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: firefox
BuildArch: noarch
AutoReqProv: No

%description
uBlock Origin (uBO) is a CPU and memory-efficient wide-spectrum content
blocker for Chromium and Firefox. It blocks ads, trackers, coin miners,
popups, annoying anti-blockers, malware sites, etc., by default using
EasyList, EasyPrivacy, Peter Lowe's Blocklist, Online Malicious URL
Blocklist, and uBO filter lists. There are many other lists available
to block even more. Hosts files are also supported. uBO uses the
EasyList filter syntax and extends the syntax to work with custom
rules and filters.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_extensionsdir}
%{__install} -m 0644 -p %{SOURCE0} %{buildroot}%{_extensionsdir}/%{_extid}.xpi

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_extensionsdir}/%{_extid}.xpi

%changelog
* Fri Oct 04 2024 Simon Matter <simon.matter@invoca.ch> 1.60.0-1
- upgrade to 1.60.0

* Sun Aug 11 2024 Simon Matter <simon.matter@invoca.ch> 1.59.0-1
- initial build
